#[derive(Debug, Copy, Clone, Default)]
pub enum Gradient {
    #[default]
    PurpleBlue,
    PinkOrange,
    CyanBlue,
    TealLime,
    PurplePink,
}
impl Gradient {
    pub fn class_from(&self) -> &str {
        match self {
            Gradient::PinkOrange => "from-pink-500",
            Gradient::CyanBlue => "from-cyan-500",
            Gradient::TealLime => "from-teal-300",
            Gradient::PurplePink => "from-purple-500",
            Gradient::PurpleBlue => "from-purple-600",
        }
    }

    pub fn class_to(&self) -> &str {
        match self {
            Gradient::PinkOrange => "to-orange-400",
            Gradient::CyanBlue => "to-blue-500",
            Gradient::TealLime => "to-lime-300",
            Gradient::PurplePink => "to-pink-500",
            Gradient::PurpleBlue => "to-blue-500",
        }
    }

    pub fn class_text(&self) -> &str {
        match self {
            Gradient::PinkOrange => "text-pink-500",
            Gradient::CyanBlue => "text-cyan-500",
            Gradient::TealLime => "text-teal-300",
            Gradient::PurplePink => "text-purple-500",
            Gradient::PurpleBlue => "text-purple-600",
        }
    }
}
